GET api/Dashboard/GetPendingEncounterNotification?q={q}
Request Information
URI Parameters
| Name | Description | Type | Additional information |
|---|---|---|---|
| q | string |
Required |
Body Parameters
None.
Response Information
Resource Description
AsapResponseOfListOfDashboardPendingEncounterNotificationDTO| Name | Description | Type | Additional information |
|---|---|---|---|
| isSuccess | boolean |
None. |
|
| message | string |
None. |
|
| jsonObj | Collection of DashboardPendingEncounterNotificationDTO |
None. |
|
| totalCount | integer |
None. |
Response Formats
application/json, text/json
Sample:
{
"isSuccess": true,
"message": "sample string 2",
"jsonObj": [
{
"EncounterId": 1,
"CaseNo": 2,
"EmployeeId": "sample string 3",
"EmployeeLName": "sample string 4",
"EmployeeFName": "sample string 5",
"CompanyEmployeeId": "sample string 6",
"CompanyName": "sample string 7",
"OpenedDate": "2026-08-04T14:29:24.8891584-07:00",
"SignandCloseBy": 1,
"SignandCloseDate": "2026-08-04T14:29:24.8891584-07:00",
"Status": 1,
"Sequence": 8,
"InteractionType": 1,
"OnSiteLocationId": 1,
"TeleMedicineId": 1,
"ServiceType": "sample string 9",
"COSSubServiceId": 1,
"COSSubServiceName": "sample string 10",
"WLCode": "sample string 11",
"WLName": "sample string 12",
"CaseStatus": 1,
"DOB": "2026-08-04T14:29:24.8891584-07:00",
"OpenedUserName": "sample string 13",
"ClosedUserName": "sample string 14",
"OnSiteClinicLocation": "sample string 15",
"ValidFlag": true,
"DateCreated": "2026-08-04T14:29:24.8891584-07:00",
"DateUpdated": "2026-08-04T14:29:24.8891584-07:00",
"UserIDCreated": 19,
"UserIDUpdated": 20,
"CompanyCode": "sample string 21",
"IsExcludeDiscount": true
},
{
"EncounterId": 1,
"CaseNo": 2,
"EmployeeId": "sample string 3",
"EmployeeLName": "sample string 4",
"EmployeeFName": "sample string 5",
"CompanyEmployeeId": "sample string 6",
"CompanyName": "sample string 7",
"OpenedDate": "2026-08-04T14:29:24.8891584-07:00",
"SignandCloseBy": 1,
"SignandCloseDate": "2026-08-04T14:29:24.8891584-07:00",
"Status": 1,
"Sequence": 8,
"InteractionType": 1,
"OnSiteLocationId": 1,
"TeleMedicineId": 1,
"ServiceType": "sample string 9",
"COSSubServiceId": 1,
"COSSubServiceName": "sample string 10",
"WLCode": "sample string 11",
"WLName": "sample string 12",
"CaseStatus": 1,
"DOB": "2026-08-04T14:29:24.8891584-07:00",
"OpenedUserName": "sample string 13",
"ClosedUserName": "sample string 14",
"OnSiteClinicLocation": "sample string 15",
"ValidFlag": true,
"DateCreated": "2026-08-04T14:29:24.8891584-07:00",
"DateUpdated": "2026-08-04T14:29:24.8891584-07:00",
"UserIDCreated": 19,
"UserIDUpdated": 20,
"CompanyCode": "sample string 21",
"IsExcludeDiscount": true
}
],
"totalCount": 3
}